# Uses of Class
org.apache.jute.compiler.JFile

Packages that use JFile
Package
Description
org.apache.jute.compiler
This package contains classes needed for code generation from the hadoop record compiler.
org.apache.jute.compiler.generated
This package contains code generated by JavaCC from the Hadoop record syntax file rcc.jj.

## Uses of JFile in org.apache.jute.compiler

Constructor parameters in org.apache.jute.compiler with type arguments of type JFile
Modifier
Constructor
Description
``
`JFile(String name, ArrayList<JFile> inclFiles, ArrayList<JRecord> recList)`
Creates a new instance of JFile.

## Uses of JFile in org.apache.jute.compiler.generated

Methods in org.apache.jute.compiler.generated that return JFile
Modifier and Type
Method
Description
`final JFile`
Rcc.`Include()`
`final JFile`
Rcc.`Input()`
`static JFile`
Rcc.`parseFile(File file)`